package com.docus.server.reportmanager.mapper;


import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wyb
 */
@Mapper
public interface ScanAssortMapper {
    /**
     * 根据id作废文件
     *
     * @param ids id集合
     * @return int
     * @date 2024/1/3 17:06
     * @author YongBin Wen
     */
    int cancel(@Param("ids") List<Long> ids);

    /**
     * 根据病案习习和任务信息查询文件id
     *
     * @param patientId 病案主键
     * @param taskId    任务id
     * @return java.util.List<java.lang.Long> 文件id
     * @date 2024/1/3 17:06
     * @author YongBin Wen
     */
    List<Long> getIdByPatientTask(@Param("patientId") String patientId, @Param("taskId") Long taskId);
}
